"""Module that updates the domain model of :term:`GSO`. Should contain all types of subscriptions."""
from orchestrator.domain import SUBSCRIPTION_MODEL_REGISTRY
from pydantic_forms.types import strEnum

from gso.products.product_types.iptrunk import Iptrunk
from gso.products.product_types.router import Router
from gso.products.product_types.site import Site


class ProductType(strEnum):
    SITE = "Site"
    ROUTER = "Router"
    IP_TRUNK = "IP trunk"


SUBSCRIPTION_MODEL_REGISTRY.update(
    {
        ProductType.SITE.value: Site,
        ProductType.ROUTER.value: Router,
        ProductType.IP_TRUNK.value: Iptrunk,
    }
)
